/**
 *
 */
package com.pcloud.book.book.entity;

import com.pcloud.common.entity.BaseEntity;

import java.math.BigDecimal;

/**
 * @描述：
 * @作者：songx
 * @创建时间：2016年12月23日,下午3:48:07
 * @版本：1.0
 */
public class BookProduct extends BaseEntity {

    /**
     *
     */
    private static final long serialVersionUID = 4050937187833490565L;

    /**
     * 书籍作品标识
     */
    private Long bookProductId;

    /**
     * 书籍标识
     */
    private Long bookId;

    /**
     * 作品标识
     */
    private Long productId;

    /**
     * 渠道标识
     */
    private Long channelId;

    /**
     * 创建人
     */
    private Long createdUser;

    /**
     * 录音标识
     */
    private Long soundId;

    /**
     * 录音url
     */
    private String soundUrl;

    /**
     * 录音类型
     */
    private Integer soundType;

    /**
     * 文件大小
     */
    private BigDecimal fileSize;

    /**
     * 商品类型
     */
    private String productType;

    /**
     * 是否超级作者
     */
    private Integer isSuper;

    public String getProductType() {
        return productType;
    }

    public void setProductType(String productType) {
        this.productType = productType;
    }

    public Integer getSoundType() {
        return soundType;
    }

    public void setSoundType(Integer soundType) {
        this.soundType = soundType;
    }

    public BigDecimal getFileSize() {
        return fileSize;
    }

    public void setFileSize(BigDecimal fileSize) {
        this.fileSize = fileSize;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getBookProductId() {
        return bookProductId;
    }

    public void setBookProductId(Long bookProductId) {
        this.bookProductId = bookProductId;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getProductId() {
        return productId;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }

    public Long getCreatedUser() {
        return createdUser;
    }

    public void setCreatedUser(Long createdUser) {
        this.createdUser = createdUser;
    }

    public Long getSoundId() {
        return soundId;
    }

    public void setSoundId(Long soundId) {
        this.soundId = soundId;
    }

    public String getSoundUrl() {
        return soundUrl;
    }

    public void setSoundUrl(String soundUrl) {
        this.soundUrl = soundUrl;
    }

    public Integer getIsSuper() {
        return isSuper;
    }

    public void setIsSuper(Integer isSuper) {
        this.isSuper = isSuper;
    }

    @Override
    public String toString() {
        return "BookProduct [bookProductId=" + bookProductId + ", bookId=" + bookId + ", productId=" + productId
                + ", channelId=" + channelId + ", createdUser=" + createdUser + ", soundId=" + soundId + ", soundUrl="
                + soundUrl + ", soundType=" + soundType + ", fileSize=" + fileSize + ", productType=" + productType
                + ", isSuper=" + isSuper + "]";
    }

}
